What browser version do I need to use?

Return to Frequently Asked Questions

The system supports the following commercially supported browsers:
  • FireFox (update)    
  • Internet Explorer 9 or above (update)
  • Safari
  • Chome (update)
  • Opera  

Android and IOS Mobile Devices.

    We also recommend that following items also be installed on your machine:

    • Adobe Acrobat Reader 4.0 or above available from www.adobe.com (or other PDF reader for downloadable slides)
    • Latest Adobe Flash Player available from www.adobe.com   (not for IOS devices) (to open modules and stream video from desktop)
    • Microsoft Excel 2007 or higher (or Office Online, which is free) for some downloadable Excel spreadsheets.
    Copyright © 2014 Missouri University of Science and Technology All rights reserved.
    Learning Management System (LMS) is copyrighted by Copyright © 2022 Vector Solutions
    121.07.7038.0: JPR-OH-WEB04